<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Clothing_Base.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/dab/_clothing___base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Clothing_Base.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/dab/_clothing___base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// I know the filename is stupid, but it&#39;s what the other files in this structure use..</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">// And I can&#39;t really make it &quot;class Clothing_Base extends Clothing&quot;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">// since that will conflict with config and other parts of script and break mods :c</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html">    4</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/db4/class_clothing.html">Clothing</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/ddf/class_clothing___base.html">Clothing_Base</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#af4e1e97b80344396e7f7da507d733d29">    6</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#af4e1e97b80344396e7f7da507d733d29">IsClothing</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a5f7d7fadacf18e8a2d6e2cb67eeb34be">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a5f7d7fadacf18e8a2d6e2cb67eeb34be">CanHaveWetness</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#ad6a62e6af93f8fbd731c45eaea6871c0">   17</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#ad6a62e6af93f8fbd731c45eaea6871c0">GetGlassesEffectID</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">//----------------------------------------------------------------</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// GameplayWidgetEffects</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a0ba41db67a565ee9d2b5ee1dc54495c9">   24</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a0ba41db67a565ee9d2b5ee1dc54495c9">GetEffectWidgetTypes</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// Conditions   </span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a8adf7eef7fbc4a2169fc330f452b06f5">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a8adf7eef7fbc4a2169fc330f452b06f5">CanPutInCargo</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> ( !super.CanPutInCargo( parent ) )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">return</span> !parent || CanPutInCargoClothingConditions( parent );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a0ea8b8c16d0beafc7ef93a577bea0ca4">   38</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a0ea8b8c16d0beafc7ef93a577bea0ca4">CanPutInCargoClothingConditions</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordtype">bool</span> is_hidden_stash_exception = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> ( parent.IsInherited( UndergroundStash ) )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            is_hidden_stash_exception = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a233f045f19d88f0ff999ebe83512ebf8">GetNumberOfItems</a>() == 0 || !parent || parent.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a888071f6fa615a2d5ed0e32c448d60c0">IsMan</a>() || is_hidden_stash_exception )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> cargoParent = parent.GetHierarchyParent();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_class" href="../../d8/db4/class_clothing.html">ClothingBase</a> parentClothing = <a class="code hl_class" href="../../d8/db4/class_clothing.html">ClothingBase</a>.Cast(parent);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <span class="keywordflow">if</span> (cargoParent)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <span class="keywordflow">return</span> !(parent.IsClothing() &amp;&amp; cargoParent.IsClothing()) || ( parentClothing &amp;&amp; parentClothing.SmershException(cargoParent) );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a941c7dc246a0b3a0f1847f2163b276f5">   58</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a941c7dc246a0b3a0f1847f2163b276f5">CanReceiveItemIntoCargo</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">if</span> (!super.CanReceiveItemIntoCargo(item))</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> CanReceiveItemIntoCargoClothingConditions( item );</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a411eabdef8e182dbadcf16b5fc4d3aab">   66</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a411eabdef8e182dbadcf16b5fc4d3aab">CanReceiveItemIntoCargoClothingConditions</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> hierarchyParent = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> !hierarchyParent || hierarchyParent.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a888071f6fa615a2d5ed0e32c448d60c0">IsMan</a>() || SmershException(hierarchyParent);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="comment">//Kind of a hack but I don&#39;t have enough time left to do larger scale reworks, sorry</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#ac7d0d516f8fe8eb9bcc9e14b1a08bf41">   73</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#ac7d0d516f8fe8eb9bcc9e14b1a08bf41">SmershException</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> hierarchyParent)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> hp = hierarchyParent.GetHierarchyParent();</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> (hp)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">if</span> (!hp.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a888071f6fa615a2d5ed0e32c448d60c0">IsMan</a>())</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">return</span> IsInherited(SmershBag) &amp;&amp; hierarchyParent.IsInherited(SmershVest);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#aa8165de37d9c6d8dce885d044c02ec59">   85</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#aa8165de37d9c6d8dce885d044c02ec59">CanLoadItemIntoCargo</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">if</span> (!super.CanLoadItemIntoCargo(item))</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">return</span> CanLoadItemIntoCargoClothingConditions(item);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a654849843c997b5fe9034c32f762260d">   93</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a654849843c997b5fe9034c32f762260d">CanLoadItemIntoCargoClothingConditions</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> ( parent &amp;&amp; parent.IsInherited( UndergroundStash ) )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">return</span> !parent || parent.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a888071f6fa615a2d5ed0e32c448d60c0">IsMan</a>() || SmershException(parent);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    <span class="comment">//Method used to specify if a piece of eyeware can be worn under a gas mask</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a385856e071f29cb62eaf4ab13edfe8cf">  105</a></span><span class="comment"></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a385856e071f29cb62eaf4ab13edfe8cf">CanWearUnderMask</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="comment">// -------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#aaa8c138f7bc5e5a72a7e7cd19835fbf2">  111</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#aaa8c138f7bc5e5a72a7e7cd19835fbf2">EEHealthLevelChanged</a>(<span class="keywordtype">int</span> oldLevel, <span class="keywordtype">int</span> newLevel, <span class="keywordtype">string</span> zone)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        super.EEHealthLevelChanged(oldLevel, newLevel, zone);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player_owner = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>());</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <span class="keywordflow">if</span>( player_owner )</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                <span class="keywordflow">if</span>( player_owner.m_CorpseState != 0 )</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>                {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>                    <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">GetCallQueue</a>( <a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a> ).<a class="code hl_function" href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">CallLater</a>( player_owner.UpdateCorpseState, 0, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d7/ddf/class_clothing___base.html#a765bf4e9e8f5a169f37bbb026386f262">  128</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/ddf/class_clothing___base.html#a765bf4e9e8f5a169f37bbb026386f262">SwitchItemSelectionTextureEx</a>(EItemManipulationContext context, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> par = null)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        super.SwitchItemSelectionTextureEx(context, par);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        Param1&lt;PlayerBase&gt; data = Param1&lt;PlayerBase&gt;.Cast(par);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">if</span> (!data)</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = data.param1;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordtype">int</span> personality = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a9501afa018cd16861926870c3edfd69d">GetHiddenSelectionIndex</a>(<span class="stringliteral">&quot;personality&quot;</span>);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">if</span> (personality &gt;= 0)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            <span class="keywordtype">string</span> tone_mat = player.m_EmptyGloves.GetHiddenSelectionsMaterials().Get(0);</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="keywordtype">string</span> tone_texture;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            <span class="keywordflow">if</span> (player.m_CorpseState &gt; <a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#ac7ea96b5ce17918be336a412fa603fac">CORPSE_STATE_FRESH</a>)</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>                tone_texture = player.m_DecayedTexture;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                tone_texture = player.m_EmptyGloves.GetHiddenSelectionsTextures().Get(0);</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a434e9770e4b89b42958553e851f5c20e">SetObjectMaterial</a>( personality, tone_mat );</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a02d3fa619813cf46ff32c6bd806209f5">SetObjectTexture</a>( personality, tone_texture );</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>};</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d1/dab/_clothing___base_8c.html#ac80b4bd15b839ab9aab452079e6c9c2f">  161</a></span><span class="keyword">typedef</span> <a class="code hl_class" href="../../d8/db4/class_clothing.html">Clothing</a> <a class="code hl_typedef" href="../../d1/dab/_clothing___base_8c.html#ac80b4bd15b839ab9aab452079e6c9c2f">ClothingBase</a>;</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a02d3fa619813cf46ff32c6bd806209f5"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a02d3fa619813cf46ff32c6bd806209f5">SetObjectTexture</a></div><div class="ttdeci">proto native void SetObjectTexture(int index, string texture_name)</div><div class="ttdoc">Change texture in hiddenSelections.</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0f26f3c0dabe69e8968903d31cf3638b"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a></div><div class="ttdeci">proto native EntityAI GetHierarchyParent()</div><div class="ttdoc">Returns direct parent of current entity.</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a434e9770e4b89b42958553e851f5c20e"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a434e9770e4b89b42958553e851f5c20e">SetObjectMaterial</a></div><div class="ttdeci">proto native void SetObjectMaterial(int index, string mat_name)</div><div class="ttdoc">Change material in hiddenSelections.</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a9501afa018cd16861926870c3edfd69d"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a9501afa018cd16861926870c3edfd69d">GetHiddenSelectionIndex</a></div><div class="ttdeci">int GetHiddenSelectionIndex(string selection)</div><div class="ttdoc">Returns index of the string found in cfg array 'hiddenSelections'. If it's not found then it returns ...</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01869">EntityAI.c:1869</a></div></div>
<div class="ttc" id="a_clothing___base_8c_html_ac80b4bd15b839ab9aab452079e6c9c2f"><div class="ttname"><a href="../../d1/dab/_clothing___base_8c.html#ac80b4bd15b839ab9aab452079e6c9c2f">ClothingBase</a></div><div class="ttdeci">Clothing ClothingBase</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00161">Clothing_Base.c:161</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a233f045f19d88f0ff999ebe83512ebf8"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a233f045f19d88f0ff999ebe83512ebf8">GetNumberOfItems</a></div><div class="ttdeci">int GetNumberOfItems()</div><div class="ttdoc">Returns the number of items in cargo, otherwise returns 0(non-cargo objects). Recursive.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08218">ItemBase.c:8218</a></div></div>
<div class="ttc" id="aclass_c_game_html_a53af342998a36596f46c4e67a2517f4e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">CGame::GetCallQueue</a></div><div class="ttdeci">ScriptCallQueue GetCallQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01311">Game.c:1311</a></div></div>
<div class="ttc" id="aclass_clothing___base_html"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html">Clothing_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00004">Clothing_Base.c:5</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a0ba41db67a565ee9d2b5ee1dc54495c9"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a0ba41db67a565ee9d2b5ee1dc54495c9">Clothing_Base::GetEffectWidgetTypes</a></div><div class="ttdeci">array&lt; int &gt; GetEffectWidgetTypes()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00024">Clothing_Base.c:24</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a0ea8b8c16d0beafc7ef93a577bea0ca4"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a0ea8b8c16d0beafc7ef93a577bea0ca4">Clothing_Base::CanPutInCargoClothingConditions</a></div><div class="ttdeci">bool CanPutInCargoClothingConditions(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00038">Clothing_Base.c:38</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a385856e071f29cb62eaf4ab13edfe8cf"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a385856e071f29cb62eaf4ab13edfe8cf">Clothing_Base::CanWearUnderMask</a></div><div class="ttdeci">bool CanWearUnderMask(EntityAI parent)</div><div class="ttdoc">deprecated</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00105">Clothing_Base.c:105</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a411eabdef8e182dbadcf16b5fc4d3aab"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a411eabdef8e182dbadcf16b5fc4d3aab">Clothing_Base::CanReceiveItemIntoCargoClothingConditions</a></div><div class="ttdeci">bool CanReceiveItemIntoCargoClothingConditions(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00066">Clothing_Base.c:66</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a5f7d7fadacf18e8a2d6e2cb67eeb34be"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a5f7d7fadacf18e8a2d6e2cb67eeb34be">Clothing_Base::CanHaveWetness</a></div><div class="ttdeci">override bool CanHaveWetness()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00011">Clothing_Base.c:11</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a654849843c997b5fe9034c32f762260d"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a654849843c997b5fe9034c32f762260d">Clothing_Base::CanLoadItemIntoCargoClothingConditions</a></div><div class="ttdeci">bool CanLoadItemIntoCargoClothingConditions(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00093">Clothing_Base.c:93</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a765bf4e9e8f5a169f37bbb026386f262"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a765bf4e9e8f5a169f37bbb026386f262">Clothing_Base::SwitchItemSelectionTextureEx</a></div><div class="ttdeci">override void SwitchItemSelectionTextureEx(EItemManipulationContext context, Param par=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00128">Clothing_Base.c:128</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a8adf7eef7fbc4a2169fc330f452b06f5"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a8adf7eef7fbc4a2169fc330f452b06f5">Clothing_Base::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00030">Clothing_Base.c:30</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_a941c7dc246a0b3a0f1847f2163b276f5"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#a941c7dc246a0b3a0f1847f2163b276f5">Clothing_Base::CanReceiveItemIntoCargo</a></div><div class="ttdeci">override bool CanReceiveItemIntoCargo(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00058">Clothing_Base.c:58</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_aa8165de37d9c6d8dce885d044c02ec59"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#aa8165de37d9c6d8dce885d044c02ec59">Clothing_Base::CanLoadItemIntoCargo</a></div><div class="ttdeci">override bool CanLoadItemIntoCargo(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00085">Clothing_Base.c:85</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_aaa8c138f7bc5e5a72a7e7cd19835fbf2"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#aaa8c138f7bc5e5a72a7e7cd19835fbf2">Clothing_Base::EEHealthLevelChanged</a></div><div class="ttdeci">override void EEHealthLevelChanged(int oldLevel, int newLevel, string zone)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00111">Clothing_Base.c:111</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_ac7d0d516f8fe8eb9bcc9e14b1a08bf41"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#ac7d0d516f8fe8eb9bcc9e14b1a08bf41">Clothing_Base::SmershException</a></div><div class="ttdeci">bool SmershException(EntityAI hierarchyParent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00073">Clothing_Base.c:73</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_ad6a62e6af93f8fbd731c45eaea6871c0"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#ad6a62e6af93f8fbd731c45eaea6871c0">Clothing_Base::GetGlassesEffectID</a></div><div class="ttdeci">int GetGlassesEffectID()</div><div class="ttdoc">Used for 'glasses' (and other colored layers triggered by attach/detach in the InventorySlots....</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00017">Clothing_Base.c:17</a></div></div>
<div class="ttc" id="aclass_clothing___base_html_af4e1e97b80344396e7f7da507d733d29"><div class="ttname"><a href="../../d7/ddf/class_clothing___base.html#af4e1e97b80344396e7f7da507d733d29">Clothing_Base::IsClothing</a></div><div class="ttdeci">override bool IsClothing()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dab/_clothing___base_8c_source.html#l00006">Clothing_Base.c:6</a></div></div>
<div class="ttc" id="aclass_clothing_html"><div class="ttname"><a href="../../d8/db4/class_clothing.html">Clothing</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/de8/_alice_bag___color_base_8c_source.html#l00001">AliceBag_ColorBase.c:1</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html_a888071f6fa615a2d5ed0e32c448d60c0"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html#a888071f6fa615a2d5ed0e32c448d60c0">EntityAI::IsMan</a></div><div class="ttdeci">override bool IsMan()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/3___game_2_entities_2_man_8c_source.html#l00033">Man.c:33</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_player_constants_html"><div class="ttname"><a href="../../d3/def/class_player_constants.html">PlayerConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00001">PlayerConstants.c:2</a></div></div>
<div class="ttc" id="aclass_player_constants_html_ac7ea96b5ce17918be336a412fa603fac"><div class="ttname"><a href="../../d3/def/class_player_constants.html#ac7ea96b5ce17918be336a412fa603fac">PlayerConstants::CORPSE_STATE_FRESH</a></div><div class="ttdeci">static const int CORPSE_STATE_FRESH</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00194">PlayerConstants.c:194</a></div></div>
<div class="ttc" id="aclass_script_call_queue_html_abe764b22b6eee91d169f3f5996fe0c3d"><div class="ttname"><a href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">ScriptCallQueue::CallLater</a></div><div class="ttdeci">proto void CallLater(func fn, int delay=0, bool repeat=false, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">adds call into the queue with given parameters and arguments (arguments are held in memory until the ...</div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
<div class="ttc" id="agroup___tools_html_gaae15173306f94a164b31a4baea73e5eb"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a></div><div class="ttdeci">const int CALL_CATEGORY_GUI</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00009">tools.c:9</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d1/dab/_clothing___base_8c.html">Clothing_Base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
